Summary:	GeoLite City - City database for GeoIP
Summary(pl.UTF-8):	GeoLite City - baza danych miast dla GeoIP
Name:		GeoIP-db-City
# Updated every month:
Version:	2013.11.06
Release:	1
License:	OPEN DATA LICENSE (see LICENSE.txt)
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
# Source0-md5:	fde6e82ee2411d67f2b9b03b75205dbd
Source1:	http://www.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
URL:		http://www.maxmind.com/app/geolitecity
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Determine country, state/region, city, US postal code, US area code,
metro code, latitude, and longitude information for IP addresses
worldwide.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Znajdź państwo, stan/region, miasto, kod pocztowy, kod regionu, kod
miejski, szerokość i wysokość geograficzną dla adresów IP z całego
świata.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gunzip GeoLiteCity.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoLiteCity.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP
ln -s GeoLiteCity.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPCity.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/GeoIP/*.dat
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-City.git;a=log;h=AC-branch

* Thu Nov 07 2013 Elan Ruusamäe <glen@delfi.ee> 908b71b
update to 2013.11.06

* Mon Oct 07 2013 Elan Ruusamäe <glen@delfi.ee> bcd6e8b
up to 2013.10.02

* Mon Sep 09 2013 Elan Ruusamäe <glen@delfi.ee> 9ab42e2
up to 2013.09.04

* Mon Aug 12 2013 Elan Ruusamäe <glen@delfi.ee> 29f5243
up to 2013.08.07

* Sat Jul 06 2013 Elan Ruusamäe <glen@delfi.ee> 797f6e6
up to 2013.07.02

* Mon Jun 10 2013 Elan Ruusamäe <glen@delfi.ee> ee98f66
up to 2013.06.05

* Sun May 19 2013 Elan Ruusamäe <glen@delfi.ee> 42d3e04
up to 2013.05.09

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> 39ba524
up to 2013.04.03

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 793ffee
up to 2013.03.07

* Thu Feb 21 2013 Elan Ruusamäe <glen@delfi.ee> ffb55c6
- up to 2013.02.20

* Tue Jan 08 2013 Elan Ruusamäe <glen@delfi.ee> cf6a058
- up to 2013.01.02

* Tue Oct 16 2012 Elan Ruusamäe <glen@delfi.ee> 64129ae
- up to 2012.10.03

* Sun Sep 30 2012 Elan Ruusamäe <glen@delfi.ee> 4b1137f
- use GMT timezone, not to fail on builders having different timezone

* Fri Sep 28 2012 Elan Ruusamäe <glen@delfi.ee> d760dae
update to 2012.09.05

* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> c998cc3
- up to 2012.08.08

* Wed Jul 04 2012 Elan Ruusamäe <glen@pld-linux.org> b4b011a
- up to 2012.07.04

* Wed May 09 2012 Elan Ruusamäe <glen@pld-linux.org> 8583681
- up to 2012.05.04

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 7c9e616
- up to 2012-04 release

* Fri Jan 06 2012 Elan Ruusamäe <glen@pld-linux.org> 803599a
- up to 2012.01.04

* Sat Nov 05 2011 Karol Krenski <charles@pld-linux.org> 71d6fba
- up to 2011.11.02

